org.eclipse.emf.cdo.explorer.repositories

## Interface CDORepository

- All Superinterfaces:
    Adapter, CDOExplorerElement, CDOSessionProvider, CDOTransactionOpener, CDOViewOpener, Comparable<CDOExplorerElement>, IAdaptable, IContainer<CDOBranch>, ICredentialsProvider, ICredentialsProvider2, INotifier, IPasswordCredentialsProvider, IPasswordCredentialsProvider2

      public interface CDORepository
      extends CDOExplorerElement, IContainer<CDOBranch>, IPasswordCredentialsProvider2, CDOSessionProvider, CDOViewOpener, CDOTransactionOpener

  A CDO server independent representation of a repository.
  Since:
    4.4
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDORepository.IDGeneration`
    `static class` | `CDORepository.State`
    `static class` | `CDORepository.VersioningMode`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider

      `IPasswordCredentialsProvider.Provider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TYPE_CLONE`
    `static String` | `TYPE_LOCAL`
    `static String` | `TYPE_REMOTE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOSession` | `acquireSession()`
    `void` | `connect()`
    `void` | `disconnect()`
    `CDOCheckout[]` | `getCheckouts()`
    `String` | `getConnectorDescription()`
    `String` | `getConnectorType()`
    `IPasswordCredentials` | `getCredentials()`
    `CDORepository.IDGeneration` | `getIDGeneration()`
    `String` | `getName()`
    `CDOSession` | `getSession()`
    `CDORepository.State` | `getState()`
    `String` | `getURI()`
    `CDORepository.VersioningMode` | `getVersioningMode()`
    `boolean` | `isClone()`
    `boolean` | `isConnected()`
    `boolean` | `isLocal()`
    `boolean` | `isRemote()`
    `void` | `releaseSession()`
    `void` | `setCredentials(IPasswordCredentials credentials)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.explorer.CDOExplorerElement

      `delete, getDescription, getID, getLabel, getStateFolder, getType, setDescription, setLabel`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

      `getTarget, isAdapterForType, notifyChanged, setTarget`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider2

      `getCredentials`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.ICredentialsProvider

      `isInteractive`

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewOpener

      `openView, openView`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionOpener

      `openTransaction, openTransaction`

- - ### Field Detail

    - #### TYPE_REMOTE

          static final String TYPE_REMOTE

      See Also:
        Constant Field Values

    - #### TYPE_CLONE

          static final String TYPE_CLONE

      See Also:
        Constant Field Values

    - #### TYPE_LOCAL

          static final String TYPE_LOCAL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isRemote

          boolean isRemote()

    - #### isClone

          boolean isClone()

    - #### isLocal

          boolean isLocal()

    - #### getConnectorType

          String getConnectorType()

    - #### getConnectorDescription

          String getConnectorDescription()

    - #### getName

          String getName()

    - #### getURI

          String getURI()

    - #### getVersioningMode

          CDORepository.VersioningMode getVersioningMode()

    - #### getIDGeneration

          CDORepository.IDGeneration getIDGeneration()

    - #### getCredentials

          IPasswordCredentials getCredentials()

      Specified by:
        `getCredentials` in interface `ICredentialsProvider`
      Specified by:
        `getCredentials` in interface `IPasswordCredentialsProvider`

    - #### setCredentials

          void setCredentials(IPasswordCredentials credentials)

    - #### getState

          CDORepository.State getState()

    - #### isConnected

          boolean isConnected()

    - #### connect

          void connect()

    - #### disconnect

          void disconnect()

    - #### getCheckouts

          CDOCheckout[] getCheckouts()

    - #### getSession

          CDOSession getSession()

      Specified by:
        `getSession` in interface `CDOSessionProvider`

    - #### acquireSession

          CDOSession acquireSession()

    - #### releaseSession

          void releaseSession()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html